Skip to main content
GET
/
pipeline-data
/
detections
/
aggregate
Aggregate detection statistics
curl --request GET \
  --url https://acusight.io/api/pipeline-data/detections/aggregate \
  --header 'Authorization: Bearer <token>'
{
  "aggregations": [
    {
      "avg_confidence": 123,
      "detection_count": 123,
      "label": "<string>",
      "max_confidence": 123,
      "min_confidence": 123,
      "stddev_confidence": 123
    }
  ],
  "device_id": "<string>",
  "end_time": "<string>",
  "start_time": "<string>",
  "total_detections": 123
}

Authorizations

Authorization
string
header
required

JWT access token. Paste the token only; the Bearer prefix is added automatically.

Query Parameters

device_id
string
required

Device ID to filter detections

start
string
required

RFC3339 start timestamp (inclusive)

end
string
required

RFC3339 end timestamp (exclusive)

Response

OK

aggregations
object[]
device_id
string
end_time
string
start_time
string
total_detections
integer